> For the complete documentation index, see [llms.txt](https://developers.smartpm.com/llms.txt)

# Get Should Start / Should Finish Report

> GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/should-start-finish



## Servers
- SmartPM Production Environment: https://live.smartpmtech.com (SmartPM Production Environment)


## Authentication methods
- Api key


## Parameters
### Headers

- **X-COMPANY-ID** (string)
  The company's unique ID


### Path parameters

- **projectId** (integer(int64))

- **scenarioId** (integer(int64))


### Query parameters

- **startDate** (string)

- **finishDate** (string)

- **filterId** (array[integer(int64)])

- **activityCodeFilter** (array[integer(int64)])

- **filterWindow** (boolean)

- **filter** (array[string])



## Responses
### 200
OK

#### Body: */* (object)
- **total** (integer(int64))

- **startedOnTimeInWindow** (integer(int64))

- **finishedOnTimeInWindow** (integer(int64))

- **startedLate** (integer(int64))

- **finishedLate** (integer(int64))

- **didNotStart** (integer(int64))

- **didNotFinish** (integer(int64))

- **totalOnTimeHitRate** (number(double))

- **startedOnTimeHitRate** (number(double))

- **finishedOnTimeHitRate** (number(double))

- **startedLatePercentage** (number(double))

- **didNotStartPercentage** (number(double))

- **finishedLatePercentage** (number(double))

- **didNotFinishPercentage** (number(double))

- **activities** (array[object])



[Powered by Bump.sh](https://bump.sh)
